(Compilation: remove text about qsiapi not compiling on gcc-4.7)
(GoQat udev rule)
Line 8: Line 8:
  
 
* Autoguiding using QSI cameras, V4L compatible devices (like USB webcams or USB video grabbers), [[unicap]] compatible cameras, and composite camera using the video-to-firewire grabber from [http://www.theimagingsource.com/ The Imaging Source].
 
* Autoguiding using QSI cameras, V4L compatible devices (like USB webcams or USB video grabbers), [[unicap]] compatible cameras, and composite camera using the video-to-firewire grabber from [http://www.theimagingsource.com/ The Imaging Source].
* Autofocus
+
* Autofocus (with Robofocus)
 
* Video capture, playback and analysis
 
* Video capture, playback and analysis
 
* Script engine
 
* Script engine
* FITS image analysis using [[DS9]]
+
* FITS image analysis and imaging area selection using [[DS9]]
  
  
Line 36: Line 36:
  
 
Most dependencies are optional. If you have them at compilation-time, you will be able to use more devices (for example firewire or unicap cameras).
 
Most dependencies are optional. If you have them at compilation-time, you will be able to use more devices (for example firewire or unicap cameras).
 +
 +
In versions up to 1.0.3, GTK+ version 2 is used, along with goocanvas1. Soon, GTK+ version 3 and goocanvas 2 will be used, you can already uncomment them in the configure.ac if you don't want to use the old versions.
 +
 +
==Installation/Setup==
 +
 +
In modern distributions, if you want to launch GoQat with a non-root user, you'll need to add a file in <tt>/etc/udev/rules.d</tt>, for example named <tt>99-qsi.rules</tt>, containing:
 +
 +
ACTION=="add", SUBSYSTEM=="usb", ATTR{idVendor}=="0403", ATTR{idProduct}=="eb48", MODE="0666"
 +
ACTION=="add", SUBSYSTEM=="usb", ATTR{idVendor}=="0403", ATTR{idProduct}=="eb49", MODE="0666"

Revision as of 01:21, 8 April 2014

GoQat

Link to official website.

Features

GoQat is best known for the support of QSI cameras, but it embeds a lot of other features and supports lots of devices:

  • Autoguiding using QSI cameras, V4L compatible devices (like USB webcams or USB video grabbers), unicap compatible cameras, and composite camera using the video-to-firewire grabber from The Imaging Source.
  • Autofocus (with Robofocus)
  • Video capture, playback and analysis
  • Script engine
  • FITS image analysis and imaging area selection using DS9


Full list of features from their website:

  • Set the CCD temperature and filter for your CCD exposures, capture sub-frames and use binning.
  • Display real-time scrolling graphs of your CCD camera cooler power and temperature.
  • Calibrate the autoguider with the camera at any angle with a single mouse-click.
  • Autoguide your exposures using the fully integrated autoguiding functions: CCD exposures automatically wait until the autoguider is ready.
  • Show real-time scrolling strip charts of star positions for periodic error analysis.
  • Focus your telescope automatically, including 'V-curve' calibration for point sources (stars), temperature compensated focusing and the ability to adjust focus according to defined offsets for each filter change.
  • Record real-time or time-lapse video from any of the supported video cameras.
  • Play back recorded video and automatically perform photometry and astrometry on each frame - ideal for asteroid occultations and other transient events.
  • Use task lists to control the operation of your telescope, CCD camera, autoguider and focuser completely unattended.
  • Execute arbitrary scripts in the language of your choice, to perform any external operations that you can do with a script (e.g. live upload of images to a website) and to interact with and control GoQat.
  • Load and save Losmandy Gemini pointing model parameters and PEC data, and more.

The website has its own hardware compatibility list.

Compilation

The QSIAPI is available as (stable or beta) releases.

For Arch Linux users, a GoQat package has been made on AUR. A QSIAPI AUR package is available too.

Most dependencies are optional. If you have them at compilation-time, you will be able to use more devices (for example firewire or unicap cameras).

In versions up to 1.0.3, GTK+ version 2 is used, along with goocanvas1. Soon, GTK+ version 3 and goocanvas 2 will be used, you can already uncomment them in the configure.ac if you don't want to use the old versions.

Installation/Setup

In modern distributions, if you want to launch GoQat with a non-root user, you'll need to add a file in /etc/udev/rules.d, for example named 99-qsi.rules, containing:

ACTION=="add", SUBSYSTEM=="usb", ATTR{idVendor}=="0403", ATTR{idProduct}=="eb48", MODE="0666"
ACTION=="add", SUBSYSTEM=="usb", ATTR{idVendor}=="0403", ATTR{idProduct}=="eb49", MODE="0666"